Subject: perl with cygwin 1.5 doesn't fly.
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 20 Jul 2003 00:20:22 +0200

Hallo,

I'm getting strange errors when I compile Perl 5.8 with Cygwin 1.5,
well, miniperl.exe compiles, but then the first simple tests break:

1. This as script executed with miniperl.exe:
%module = ( cygwin  => 'Cygwin' );
$module = $module{$^O} || 'Unix';
print "$module\n";

gives what is expected:
$ ./miniperl ./minitest.pl
Cygwin

2. If I change the script now to be:
my %module = ( cygwin  => 'Cygwin' );
$module = $module{$^O} || 'Unix';
print "$module\n";

I get:
$ ./miniperl ./minitest.pl
Unix

3. And if a second 'my' is added:
my %module = ( cygwin  => 'Cygwin' );
my $module = $module{$^O} || 'Unix';
print "$module\n";

I get:
$ ./miniperl ./minitest.pl

What is wrong with 'my' on Cygwin 1.5?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/